using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class LoginRequestDto
    {
        [JsonPropertyName("mobileNumber")]
        public string MobileNumber { get; set; }

        [JsonPropertyName("pin")]
        public string Pin { get; set; }

        [JsonPropertyName("latitude")]
        public double? Latitude { get; set; }

        [JsonPropertyName("longitude")]
        public double? Longitude { get; set; }

        [JsonPropertyName("fcmToken")]
        public string FCMToken { get; set; }

        [JsonPropertyName("imei")]
        public string Imei { get; set; }
        public bool IsTabletSession { get; set; }
    }
}
